## cassiopee 1.0.3+dfsg

=== src/CMakeLists.txt ===

set(Cassie_VERSION_STRING ${Cassiopee_VERSION_MAJOR}.${Cassiopee_VERSION_MINOR}.0)
add_library(cassie SHARED cassiopee.cxx)
set_target_properties(cassie PROPERTIES VERSION  ${Cassie_VERSION_STRING} SOVERSION ${Cassiopee_VERSION_MAJOR})
add_executable(cassiopee cassie.cxx)
add_executable(cassiopeeknife knife.cxx)

target_link_libraries(cassie glog ${Boost_LIBRARIES} )
target_link_libraries(cassiopee cassie glog ${Boost_LIBRARIES} )
target_link_libraries(cassiopeeknife cassie glog ${Boost_LIBRARIES} )

# add the install targets
install (TARGETS cassiopee DESTINATION bin)
install (TARGETS cassiopeeknife DESTINATION bin)
install (FILES "${PROJECT_BINARY_DIR}/CassiopeeConfig.h"        
         DESTINATION include)
install (TARGETS cassie DESTINATION lib)

set(HS Cassiopee.h tree/tree.hh tree/tree_util.hh)
MACRO(INSTALL_HEADERS_WITH_DIRECTORY HEADER_LIST)

FOREACH(HEADER ${${HEADER_LIST}})
STRING(REGEX MATCH "(.*)[/\\]" DIR ${HEADER})
INSTALL(FILES ${HEADER} DESTINATION include/${DIR})
ENDFOREACH(HEADER)

ENDMACRO(INSTALL_HEADERS_WITH_DIRECTORY)

INSTALL_HEADERS_WITH_DIRECTORY(HS)

## cassiopee 1.0.1+dfsg

=== debian/changelog ===
cassiopee (1.0.1+dfsg-3) unstable; urgency=medium

  * d/control: remove unnecessary dep, managed by shlibs. 

 -- Olivier Sallou <osallou@debian.org>  Tue, 27 May 2014 07:36:52 +0200

cassiopee (1.0.1+dfsg-2) unstable; urgency=medium

  * Fix missing Depends (Closes: #749302). 
  * Remove hard coded runtime dependencies (Closes: #749303).

 -- Olivier Sallou <osallou@debian.org>  Mon, 26 May 2014 12:57:58 +0200

cassiopee (1.0.1+dfsg-1) unstable; urgency=low

  * New upstream release to fix FTBS on some archs (test failure)

 -- Olivier Sallou <osallou@debian.org>  Mon, 14 Apr 2014 09:25:54 +0200

cassiopee (1.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #743930)

 -- Olivier Sallou <osallou@debian.org>  Tue, 08 Apr 2014 12:59:31 +0200

=== debian/control ===
Source: cassiopee
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen,
 libboost-serialization-dev,libboost-iostreams-dev,
 libgoogle-glog-dev, libcppunit-dev
Standards-Version: 3.9.5
Homepage: https://github.com/osallou/cassiopee-c
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cassiopee/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cassiopee/trunk/


Package: cassiopee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: index and search tool in genomic sequences
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.

Package: libcassie-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: documentation for cassiopee library
 Doxygen generated documentation for the cassiopee library for development.

Package: libcassie1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: library implementating search algorithms
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.

Package: libcassie-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcassie1 (= ${binary:Version})
Description: library and headers for development
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.

## cassiopee 1.0.3+dfsg

=== debian/changelog ===
cassiopee (1.0.3+dfsg-3) unstable; urgency=medium

  * Team upload
  * Gcc-5 transition
    Closes: #796732
  * Enhance long description of doc package
  * cme fix dpkg-control
  * DEP5
  * Add doc-base control file
  * Enhance manpages

 -- Andreas Tille <tille@debian.org>  Mon, 31 Aug 2015 08:28:40 +0200

cassiopee (1.0.3+dfsg-2) unstable; urgency=medium

  * Remove timestamp from doc for reproductibility builds (Closes: #787765).
    - d/patches/HTML_timestamp-option
      thanks to Maria Valentina Marin <marivalenm@gmail.com>

 -- Olivier Sallou <osallou@debian.org>  Fri, 05 Jun 2015 08:19:31 +0200

cassiopee (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release fixing a bug

 -- Olivier Sallou <osallou@debian.org>  Sat, 04 Apr 2015 22:33:05 +0100

cassiopee (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release 
  * d/control: Standards 3.9.6

 -- Olivier Sallou <osallou@debian.org>  Sun, 22 Mar 2015 10:27:53 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#include /usr/share/cdbs/1/class/cmake.mk

%:
	dh $@ 

override_dh_clean:
	dh_clean
	rm -rf doc

override_dh_install:
	rm -f doc/html/jquery.js
	dh_install

## cassiopee 1.0.4+dfsg

=== debian/changelog ===
cassiopee (1.0.4+dfsg-1build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:11:43 +0000

cassiopee (1.0.4+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:13:23 +0000

cassiopee (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream bug fix release 

 -- Olivier Sallou <osallou@debian.org>  Wed, 09 Mar 2016 18:13:25 +0100

=== debian/control ===
Source: cassiopee
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               doxygen,
               libboost-serialization-dev,
               libboost-iostreams-dev,
               libgoogle-glog-dev,
               libcppunit-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cassiopee/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cassiopee/trunk/
Homepage: https://github.com/osallou/cassiopee-c

Package: cassiopee
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: index and search tool in genomic sequences
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.
 .
 This package contains the cassiopee and cassiopeeknife tools.

Package: libcassie-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: documentation for cassiopee library
 Cassiopee index and search library C implementation. It is a complete
 rewrite of the ruby Cassiopee gem. It scans an input genomic sequence
 (dna/rna/protein) and search for a subsequence with exact match or
 allowing substitutions (Hamming distance) and/or insertion/deletions.
 .
 This package contains the doxygen generated documentation for the
 cassiopee library for development.

Package: libcassie1v5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libcassie1
Replaces: libcassie1
Description: library implementating search algorithms
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.

Package: libcassie-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcassie1v5 (= ${binary:Version})
Description: library and headers for development
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.
 .
 This package contains the header files for development.

## cassiopee 1.0.5

=== debian/changelog ===
cassiopee (1.0.5-1) unstable; urgency=medium

  * New upstream release bug fix release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 18 Nov 2016 11:30:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cassiopee
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional

## cassiopee 1.0.7

=== test/CMakeLists.txt ===
# add the binary tree to the search path for include files
# so that we will find CassiopeeConfig.h


include_directories("${PROJECT_BINARY_DIR}")

include_directories("${PROJECT_SOURCE_DIR}")

include_directories("${CMAKE_SOURCE_DIR}/src")

include( CTest )

add_executable(test_cassiopee test.cxx)
target_link_libraries(test_cassiopee cassie glog cppunit)


add_test(NAME "TestCassie" COMMAND ${PROJECT_BINARY_DIR}/test_cassiopee WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
cassiopee (1.0.7-1) unstable; urgency=medium

  * New upstream release (bug fixes) 

 -- Olivier Sallou <osallou@debian.org>  Mon, 11 Dec 2017 08:53:05 +0000

cassiopee (1.0.5-2) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * add autopkgtest test 

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Enhance manpage
  * hardening

 -- Nadiya Sitdykova  <rovenskasa@gmail.com>  Wed, 23 Aug 2017 20:52:25 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
                cmake,
                doxygen,
                libboost-serialization-dev,
                libboost-iostreams-dev,
                libgoogle-glog-dev,
                libcppunit-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cassiopee/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cassiopee/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cassiopee.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/cassiopee.git
 Homepage: https://github.com/osallou/cassiopee-c
 
 Package: cassiopee

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-#include /usr/share/cdbs/1/class/cmake.mk
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/\+dfsg//g" \
  https://github.com/osallou/cassiopee-c/tags .*/v?(\d\S*)\.tar\.gz

## cassiopee 1.0.8

=== debian/changelog ===
cassiopee (1.0.8-2) unstable; urgency=medium

  * Fix libcassie-dev, wrong location for includes 

 -- Olivier Sallou <osallou@debian.org>  Tue, 14 Aug 2018 13:43:12 +0000

cassiopee (1.0.8-1) unstable; urgency=medium

  * New upstream release (bug fixes)

 -- Olivier Sallou <osallou@debian.org>  Thu, 12 Apr 2018 11:32:39 +0000

## cassiopee 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

enable_language(C CXX)
project (Cassiopee)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

link_directories(/usr/local/lib)


set (Cassiopee_VERSION_MAJOR 1)
set (Cassiopee_VERSION_MINOR 0)

set (PROJECT_SOURCE_DIR src)
set (PROJECT_BINARY_DIR ${CMAKE_BINARY_DIR}/bin)
set (PROJECT_DOC_DIR doc)

enable_testing()

#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
#add_definitions( -DBOOST_ALL_NO_LIB )
unset(Boost_INCLUDE_DIR CACHE)
unset(Boost_LIBRARY_DIRS CACHE)
set(Boost_USE_STATIC_LIBS   OFF)

find_package(Boost REQUIRED COMPONENTS iostreams serialization)


# add a target to generate API documentation with Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
configure_file(${PROJECT_SOURCE_DIR}/Doxyfile.in ${PROJECT_BINARY_DIR}/Doxyfile @ONLY)
add_custom_target(doc ALL
${DOXYGEN_EXECUTABLE} ${PROJECT_BINARY_DIR}/Doxyfile
WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
COMMENT "Generating API documentation with Doxygen" VERBATIM
)
endif(DOXYGEN_FOUND)

FIND_PACKAGE(OpenMP)
if(OPENMP_FOUND)
set(USE_OPENMP 1)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
else()
set(USE_OPENMP 0)
endif()

# configure a header file to pass some of the CMake settings
# to the source code
configure_file (
  "${PROJECT_SOURCE_DIR}/CassiopeeConfig.h.in"
  "${PROJECT_BINARY_DIR}/CassiopeeConfig.h"
  )
 
# add the binary tree to the search path for include files
# so that we will find CassiopeeConfig.h
include_directories("${PROJECT_BINARY_DIR}")
include_directories(${Boost_INCLUDE_DIR})

add_subdirectory (src)
add_subdirectory (test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # add the install targets
 install (TARGETS cassiopee DESTINATION bin)
 install (TARGETS cassiopeeknife DESTINATION bin)
-install (FILES "${PROJECT_BINARY_DIR}/CassiopeeConfig.h"        
+install (FILES "${PROJECT_BINARY_DIR}/CassiopeeConfig.h"
          DESTINATION include)
 install (TARGETS cassie DESTINATION lib)
 
@@ -27,4 +27,3 @@
 ENDMACRO(INSTALL_HEADERS_WITH_DIRECTORY)
 
 INSTALL_HEADERS_WITH_DIRECTORY(HS)
-

=== debian/changelog ===
cassiopee (1.0.9-5) unstable; urgency=medium

  * Team upload.
  * d/watch: version=5
  * Fix build with CMake 4.0
    Closes: #1112764
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 11:50:38 +0200

cassiopee (1.0.9-4) unstable; urgency=medium

  * Team upload.
  * d/control: declare compliance to standards version 4.6.2.
  * d/control: mark libcassie-doc Multi-Arch foreign.
  * d/clean: new: cleanup doc and test artifacts. (Closes: #1043792)
  * d/rules: remove clean override: deferred to d/clean.

 -- Étienne Mollier <emollier@debian.org>  Mon, 18 Dec 2023 12:23:03 +0100

cassiopee (1.0.9-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 23:03:17 +0100

cassiopee (1.0.9-2) unstable; urgency=medium

  * Team upload.

  [ Olivier Sallou ]
  * d/control: Fix VCS fields, upgrade Standards

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * debhelper 11
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/rules
  * libcassie1v5 is section libs

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 13:31:11 +0100

cassiopee (1.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 23 Aug 2018 06:40:56 +0000

=== debian/control ===
Source: cassiopee
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Olivier Sallou <osallou@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen,
 libboost-serialization-dev,
 libboost-iostreams-dev,
 libgoogle-glog-dev,
 libcppunit-dev,
Vcs-Browser: https://salsa.debian.org/med-team/cassiopee
Vcs-Git: https://salsa.debian.org/med-team/cassiopee.git
Homepage: https://github.com/osallou/cassiopee-c
Rules-Requires-Root: no

Package: cassiopee
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: index and search tool in genomic sequences
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.
 .
 This package contains the cassiopee and cassiopeeknife tools.

Package: libcassie-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 libjs-jquery,
Description: documentation for cassiopee library
 Cassiopee index and search library C implementation. It is a complete
 rewrite of the ruby Cassiopee gem. It scans an input genomic sequence
 (dna/rna/protein) and search for a subsequence with exact match or
 allowing substitutions (Hamming distance) and/or insertion/deletions.
 .
 This package contains the doxygen generated documentation for the
 cassiopee library for development.

Package: libcassie1v5
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 libcassie1,
Replaces:
 libcassie1,
Description: library implementating search algorithms
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.

Package: libcassie-dev
Architecture: any
Section: libdevel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcassie1v5 (= ${binary:Version}),
Description: library and headers for development
 Cassiopee index and search library C implementation.
 It is a complete rewrite of the ruby Cassiopee gem. It scans an input
 genomic sequence (dna/rna/protein) and search for a subsequence with
 exact match or allowing substitutions (Hamming distance) and/or
 insertion/deletions.
 .
 This package contains the header files for development.

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
-override_dh_clean:
-	dh_clean
-	rm -rf doc
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_install:
 	rm -f doc/html/jquery.js

=== debian/watch ===
Version: 5

Source: https://github.com/osallou/@PACKAGE@-c/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Repack-Suffix: +dfsg
Dversion-Mangle: auto
